package project;

import java.io.IOException;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import javax.annotation.Resource;
import javax.enterprise.context.ApplicationScoped;
import javax.inject.Named;
import javax.sql.DataSource;
import javax.sql.rowset.CachedRowSet;
import sql.SQL;

@Named
@ApplicationScoped
public class Database {

  @Resource(name = "jdbc/projectdb")
  private DataSource dataSource;

  public ResultSet getCustomers()
      throws SQLException, IOException {
    Connection conn = dataSource.getConnection();
    try (Statement stmt = conn.createStatement()) {
      String query = SQL.getSQL("customers");
      ResultSet result = stmt.executeQuery(query);
      CachedRowSet crs = new com.sun.rowset.CachedRowSetImpl();
      crs.populate(result);
      return crs;
    }
  }

}
